From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gnome-extra/nemo/
Date: Sat, 5 Sep 2015 17:00:37 +0000 (UTC) [thread overview]
Message-ID: <1441472382.773e6664f4b907a3d2f698f582133829517706b4.pacho@gentoo> (raw)
commit: 773e6664f4b907a3d2f698f582133829517706b4
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 5 16:59:42 2015 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Sep 5 16:59:42 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=773e6664
gnome-extra/nemo: Version bump
Package-Manager: portage-2.2.20.1
| 1 +
| 89 ++++++++++++++++++++++++++++++++++++++
2 files changed, 90 insertions(+)
--git a/gnome-extra/nemo/Manifest b/gnome-extra/nemo/Manifest
index 4a5c850..ee846d8 100644
--- a/gnome-extra/nemo/Manifest
+++ b/gnome-extra/nemo/Manifest
@@ -1,3 +1,4 @@
DIST nemo-2.4.5.tar.gz 1356445 SHA256 a4eae743f25d1a66cbb5b28675d78aee1d57224c825d6baebdf88068dc1d8d04 SHA512 1f6120569198f54e3fbc7f57ca9d4f644e617e029d28dc08669ae33774e474b838a5d430b0bf5ef3e0e253596a02666bbc1cbab32d1ef134971871567bf49bdb WHIRLPOOL 804c169fd6b22558718223bab44cafe183214bdd0325e1c1dcf67a41a28fddca35cf5890b42248c6b0ef485d6010cc9151c75a3994e792092b366fc98e11bd75
DIST nemo-2.6.5.tar.gz 1380526 SHA256 bf7365cde5a7348376dda3e8c43ee33b9d592f04ddbeb767faf0d5ecbe26e89a SHA512 2d0fd351b13375322c4a74fb796356dfc1485c67f6f3cc15d7e044e08bc35dec3969ebba783cd3d140103e3db9ad097ce2a4c1dfff89a0768551d9331ee1f25d WHIRLPOOL e727661685521b429f096711b18e6aa7b9cdc184f50a7a3c763a26c21ae07168d5195cb02fd5e2eeb22117284de0288f2fe24e30b2f8533595e5d627bfa93e6c
DIST nemo-2.6.6.tar.gz 1404568 SHA256 03e0345dad1e98b95e30b804acc5ec3613d4a258efce592db6e1296569a55a3f SHA512 2f234fa123202357f978603efa2ef20a7cf38a61d49205201c00f5e6d69add8e9ff1cbf1584a149b6ad333d974b406183d57511143d6cf20b186a68fd80e23a0 WHIRLPOOL a805a6a0698015d175fc79f8443192aed28f9dcc1b8064e98b450004b749cd88c52d4322314295e89fb77659dc8b8bed76eb79101b53a387427c6fa456dfe8ca
+DIST nemo-2.6.7.tar.gz 1404410 SHA256 fcb7c596d4aa2325df0c9a0af6d26bcc8c1c85f299ae511f8a1ea3a23619f8ed SHA512 2a7f52b830eab7967f3ca779de076739371f51071f705d134de469b7642e3b592428f14e4c4e45c623445c36c990e90ad5c6698864cb920d0140aa3ad76a9f0b WHIRLPOOL 62fe0313d51b9b312960fb9f2ab059d9a6ca74ec32c88eb0eb860444bbc5c3b975cd7e9a09739c27b511f9d965621e8a4cff686d33f34fe3de0a09e8f34f0870
--git a/gnome-extra/nemo/nemo-2.6.7.ebuild b/gnome-extra/nemo/nemo-2.6.7.ebuild
new file mode 100644
index 0000000..9080cb6
--- /dev/null
+++ b/gnome-extra/nemo/nemo-2.6.7.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python2_7 )
+
+inherit autotools eutils gnome2 python-any-r1 virtualx
+
+DESCRIPTION="A file manager for Cinnamon, forked from Nautilus"
+HOMEPAGE="http://cinnamon.linuxmint.com/"
+SRC_URI="https://github.com/linuxmint/nemo/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+ LGPL-2+ FDL-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="exif +introspection +nls packagekit tracker xmp"
+
+COMMON_DEPEND="
+ >=dev-libs/glib-2.34:2[dbus]
+ >=gnome-extra/cinnamon-desktop-2.6.1:0=
+ >=x11-libs/pango-1.28.3
+ >=x11-libs/gtk+-3.3.17:3[introspection?]
+ >=dev-libs/libxml2-2.7.8:2
+
+ gnome-base/dconf:0=
+ gnome-base/gsettings-desktop-schemas
+ >=x11-libs/libnotify-0.7:=
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXrender
+
+ exif? ( >=media-libs/libexif-0.6.20:= )
+ introspection? ( >=dev-libs/gobject-introspection-0.6.4:= )
+ tracker? ( >=app-misc/tracker-0.12:= )
+ xmp? ( >=media-libs/exempi-2.1.0:= )
+"
+RDEPEND="${COMMON_DEPEND}
+ x11-themes/gnome-icon-theme-symbolic
+ nls? ( >=gnome-extra/cinnamon-translations-2.2 )
+"
+DEPEND="${COMMON_DEPEND}
+ ${PYTHON_DEPS}
+ $(python_gen_any_dep '
+ dev-python/polib[${PYTHON_USEDEP}]
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ ')
+ >=dev-lang/perl-5
+ >=dev-util/gdbus-codegen-2.31.0
+ dev-util/gtk-doc-am
+ >=dev-util/intltool-0.40.1
+ sys-devel/gettext
+ virtual/pkgconfig
+ x11-proto/xproto
+
+ dev-util/gtk-doc
+ gnome-base/gnome-common
+"
+# For eautoreconf
+# gnome-base/gnome-common, dev-util/gtk-doc (not only -am!)
+PDEPEND=">=gnome-base/gvfs-0.1.2"
+
+src_prepare() {
+ epatch_user
+ eautoreconf
+ gnome2_src_prepare
+}
+
+src_configure() {
+ gnome2_src_configure \
+ --disable-update-mimedb \
+ --disable-more-warnings \
+ $(use_enable exif libexif) \
+ $(use_enable introspection) \
+ $(use_enable tracker) \
+ $(use_enable xmp)
+}
+
+src_test() {
+ # FIXME: this should be handled at eclass level
+ "${EROOT}${GLIB_COMPILE_SCHEMAS}" --allow-any-name "${S}/libnemo-private" || die
+
+ gnome2_environment_reset
+ unset DBUS_SESSION_BUS_ADDRESS
+ cd src # we don't care about translation tests
+ GSETTINGS_SCHEMA_DIR="${S}/libnemo-private" GSETTINGS_BACKEND="memory" Xemake check
+}
next reply other threads:[~2015-09-05 17:00 UTC|newest]
Thread overview: 100+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-09-05 17:00 Pacho Ramos [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-09-05 17:00 [gentoo-commits] repo/gentoo:master commit in: gnome-extra/nemo/ Pacho Ramos
2015-09-07 21:11 Mikle Kolyada
2015-11-17 20:23 Pacho Ramos
2015-11-17 20:23 Pacho Ramos
2015-12-21 14:27 Patrick Lauer
2016-01-11 14:26 Pacho Ramos
2016-01-30 12:57 Pacho Ramos
2016-01-30 12:57 Pacho Ramos
2016-03-06 18:58 Mikle Kolyada
2016-05-29 12:42 Pacho Ramos
2016-05-29 12:42 Pacho Ramos
2016-05-30 21:15 Pacho Ramos
2016-06-25 19:13 Pacho Ramos
2016-06-25 19:13 Pacho Ramos
2016-09-17 13:29 Kristian Fiskerstrand
2016-10-01 0:54 Pacho Ramos
2016-11-22 20:42 Kristian Fiskerstrand
2017-04-24 10:52 Pacho Ramos
2017-06-24 14:58 Kristian Fiskerstrand
2017-09-05 19:45 Kristian Fiskerstrand
2017-11-26 15:43 Kristian Fiskerstrand
2017-11-26 23:02 David Seifert
2018-04-06 14:00 Aaron Bauman
2018-04-12 19:07 Thomas Deutschmann
2018-05-26 11:32 Mart Raudsepp
2018-07-31 8:38 Kristian Fiskerstrand
2018-07-31 8:38 Kristian Fiskerstrand
2018-08-02 13:11 Kristian Fiskerstrand
2018-10-30 19:38 Kristian Fiskerstrand
2018-11-28 19:56 Kristian Fiskerstrand
2018-12-05 7:04 Mart Raudsepp
2019-02-12 15:16 Mart Raudsepp
2019-02-15 19:32 Mart Raudsepp
2019-04-08 2:18 Thomas Deutschmann
2019-04-09 21:09 Mikle Kolyada
2019-04-10 12:20 Mart Raudsepp
2019-04-10 12:20 Mart Raudsepp
2019-06-04 20:58 Thomas Deutschmann
2019-06-07 20:12 Mikle Kolyada
2020-05-29 0:11 Matt Turner
2020-09-09 2:15 Sam James
2020-09-15 14:20 Joonas Niilola
2020-10-12 9:06 Joonas Niilola
2020-12-16 22:30 Sam James
2020-12-27 5:06 Sam James
2020-12-29 17:14 Sam James
2021-01-06 1:05 Sam James
2021-03-01 13:02 Joonas Niilola
2021-04-28 16:27 Matt Turner
2021-06-01 16:28 Joonas Niilola
2021-06-01 16:28 Joonas Niilola
2021-06-08 7:34 Sam James
2021-06-12 3:55 Sam James
2021-06-12 3:55 Sam James
2021-10-20 1:14 Sam James
2021-10-20 1:14 Sam James
2021-11-23 1:25 Yixun Lan
2021-12-24 19:25 Jakov Smolić
2021-12-24 20:00 Jakov Smolić
2022-01-21 17:15 Sam James
2022-02-18 2:44 Sam James
2022-02-18 2:44 Sam James
2022-02-18 2:44 Sam James
2022-05-05 3:01 Sam James
2022-05-05 3:01 Sam James
2022-05-11 2:11 Sam James
2022-05-21 6:22 Joonas Niilola
2022-05-21 6:22 Joonas Niilola
2022-06-21 7:25 Joonas Niilola
2022-06-21 7:25 Joonas Niilola
2022-06-21 7:25 Joonas Niilola
2022-10-12 23:09 Sam James
2022-10-12 23:09 Sam James
2022-11-21 17:46 Arthur Zamarin
2022-11-22 6:20 Sam James
2022-11-22 6:20 Sam James
2022-12-24 7:11 Sam James
2023-04-30 23:50 Sam James
2023-05-01 1:43 Sam James
2023-05-07 22:14 Sam James
2023-05-07 22:14 Sam James
2023-06-05 9:58 Joonas Niilola
2023-06-05 9:58 Joonas Niilola
2023-07-16 18:34 Sam James
2023-07-16 18:34 Sam James
2023-09-26 15:59 WANG Xuerui
2023-10-04 8:24 Joonas Niilola
2023-10-13 7:43 Joonas Niilola
2024-02-15 13:29 Joonas Niilola
2024-05-29 11:47 Sam James
2024-05-29 14:43 Jakov Smolić
2024-08-05 3:36 Eli Schwartz
2024-08-05 3:36 Eli Schwartz
2024-08-23 5:23 Eli Schwartz
2024-08-23 5:23 Eli Schwartz
2024-08-23 5:23 Eli Schwartz
2024-09-25 13:58 Joonas Niilola
2024-09-25 14:22 Joonas Niilola
2025-03-10 2:25 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1441472382.773e6664f4b907a3d2f698f582133829517706b4.pacho@gentoo \
--to=pacho@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox